package com.storlead.sales.service.customer;

import com.storlead.sales.pojo.dto.customer.DataAnalysisDTO;
import com.storlead.sales.pojo.vo.customer.*;

public interface RankingsService {

    //成交商机汇总
    ClosedBusinessListVO selectClosedList(DataAnalysisDTO dto);

    //成交商机明细
    CloseBusinessAllListsVO selectClosedBusinessList(DataAnalysisDTO dto);

    //产品销售汇总-按产品名称
    QuotationSalesTotalVO productSalesTotal(DataAnalysisDTO dto);

    //产品销售汇总-按月份
    QuotationTimeTotalVO productSalesTotalByMonth(DataAnalysisDTO dto);

    //业务新增排名
    SalesDataAddTotalVO businessRankings(DataAnalysisDTO dto);

    //成交数据排名
    TransactionDataAllVo rankingTransactionData(DataAnalysisDTO dto);

    //转化率排名
    ConversionRateTotalVo rankingConversionRate(DataAnalysisDTO dto);

    //跟进数据排名
    UserFollowUpModeTotalVO rankingFollowUpData(DataAnalysisDTO dto);;

}
